EndpointSnitchInfo (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.locator
Class EndpointSnitchInfo

    java.lang.Object
      org.apache.cassandra.locator.EndpointSnitchInfo

All Implemented Interfaces:
  EndpointSnitchInfoMBean

    public class EndpointSnitchInfo

extends java.lang.Object
implements EndpointSnitchInfoMBean

Constructor Summary
`EndpointSnitchInfo()`

Method Summary
`static void` | `create()`
`java.lang.String` | `getDatacenter(java.lang.String host)` Provides the Datacenter name depending on the respective snitch used, given the hostname/ip
`java.lang.String` | `getRack(java.lang.String host)` Provides the Rack name depending on the respective snitch used, given the host name/ip

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointSnitchInfo

    public EndpointSnitchInfo()

Method Detail

### create

    public static void create()

### getDatacenter

    public java.lang.String getDatacenter(java.lang.String host)
                                   throws java.net.UnknownHostException

  Description copied from interface: `EndpointSnitchInfoMBean`
  Provides the Datacenter name depending on the respective snitch used, given the hostname/ip

  Specified by:
    `getDatacenter` in interface `EndpointSnitchInfoMBean`
  Throws:
    `java.net.UnknownHostException`

### getRack

    public java.lang.String getRack(java.lang.String host)
                             throws java.net.UnknownHostException

  Description copied from interface: `EndpointSnitchInfoMBean`
  Provides the Rack name depending on the respective snitch used, given the host name/ip

  Specified by:
    `getRack` in interface `EndpointSnitchInfoMBean`
  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation